'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('event_registrations', 'payment_status', {
			type: Sequelize.ENUM('Unpaid', 'Partially Paid', 'Paid'),
			allowNull: false,
			defaultValue: 'Unpaid',
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('event_registrations', 'payment_status');
	},
};
